diff --git a/changelog b/changelog
index 023ab16..fe9b421 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,7 @@
+20111231 tpd src/axiom-website/patches.html 20111231.01.tpd.patch
+20111231 tpd src/axiom-website/axiomgraph/maps/compiler.json Compiler
+20111231 tpd src/axiom-website/axiomgraph/maps/compile.json Compile
+20111231 tpd src/axiom-website/axiomgraph/js/axiomcode.js default compiler
 20111230 tpd src/axiom-website/patches.html 20111230.01.tpd.patch
 20111230 tpd books/bookvol5 treeshake compiler
 20111230 tpd books/ps/v9compiler.eps document compiler
diff --git a/src/axiom-website/axiomgraph/js/axiomcode.js b/src/axiom-website/axiomgraph/js/axiomcode.js
index 918d6de..26b2136 100644
--- a/src/axiom-website/axiomgraph/js/axiomcode.js
+++ b/src/axiom-website/axiomgraph/js/axiomcode.js
@@ -183,7 +183,9 @@
       funsel:{title:"FunctionSelection", 
               p:{stiffness:500}, source:_sources.book9},
       comment:{title:"Comment", p:{stiffness:500}, source:_sources.book9},
-      parse:{title:"Parse", p:{stiffness:500}, source:_sources.book9}
+      parse:{title:"Parse", p:{stiffness:500}, source:_sources.book9},
+      compile:{title:"Compile", p:{stiffness:500}, source:_sources.book9},
+      compiler:{title:"Compiler", p:{stiffness:500}, source:_sources.book9}
     }
     
     var that = {
@@ -192,7 +194,7 @@
           _links.append("<li><a href='#/"+stub+"' class='"+stub+"'>"+map.title+"</a></li>")
         })
         _links.find('li > a').click(that.mapClick)
-        _links.find('.parse').click()
+        _links.find('.compiler').click()
         return that
       },
 
diff --git a/src/axiom-website/axiomgraph/maps/compile.json b/src/axiom-website/axiomgraph/maps/compile.json
new file mode 100644
index 0000000..afc2cba
--- /dev/null
+++ b/src/axiom-website/axiomgraph/maps/compile.json
@@ -0,0 +1,104 @@
+{"nodes":
+ {
+  "compiler"                    :{"c":"defun","visible":"show"},
+
+  "comp"                        :{"c":"defun","visible":"show"},
+  "comp2"                       :{"c":"defun","visible":"show"},
+  "comp3"                       :{"c":"defun","visible":"show"},
+  "compApplication"             :{"c":"defun","visible":"show"},
+  "compApply"                   :{"c":"defun","visible":"show"},
+  "compAtSign"                  :{"c":"defun","visible":"show"},
+  "compAtom"                    :{"c":"defun","visible":"show"},
+  "compAtomWithModemap"         :{"c":"defun","visible":"show"},
+  "compCoerce"                  :{"c":"defun","visible":"show"},
+  "compCoerce1"                 :{"c":"defun","visible":"show"},
+  "compColon"                   :{"c":"defun","visible":"show"},
+  "compColonInside"             :{"c":"defun","visible":"show"},
+  "compExpression"              :{"c":"defun","visible":"show"},
+  "compLambda"                  :{"c":"defun","visible":"show"},
+  "compList"                    :{"c":"defun","visible":"show"},
+  "compMakeDeclaration"         :{"c":"defun","visible":"show"},
+  "compNoStacking"              :{"c":"defun","visible":"show"},
+  "compNoStacking1"             :{"c":"defun","visible":"show"},
+  "compOrCroak"                 :{"c":"defun","visible":"show"},
+  "compOrCroak1"                :{"c":"defun","visible":"show"},
+  "compSymbol"                  :{"c":"defun","visible":"show"},
+  "compToApply"                 :{"c":"defun","visible":"show"},
+  "compTypeOf"                  :{"c":"defun","visible":"show"},
+  "compVector"                  :{"c":"defun","visible":"show"},
+  "compWithMappingMode"         :{"c":"defun","visible":"show"},
+  "compWithMappingMode1"        :{"c":"defun","visible":"show"},
+
+  "compMakeDeclaration"         :{"c":"calls","visible":"show"},
+
+  "compileSpad2Cmd"             :{"c":"calls","visible":"show"},
+  "compOrCroak1,compactify"     :{"c":"calls","visible":"show"}
+
+
+ },
+ "edges"                
+ :{
+"compiler"                    :{
+  "compileSpad2Cmd"                     :{}},
+"compOrCroak1"                :{
+  "compOrCroak1,compactify"             :{},
+  "comp"                                :{}},
+"compWithMappingMode1"        :{
+  "compLambda"                          :{},
+  "compMakeDeclaration"                 :{}},
+"compApplication"             :{
+  "comp"                                :{}},
+"comp"                        :{
+  "compNoStacking"                      :{}},
+"compToApply"                 :{
+  "compApplication"                     :{},
+  "compNoStacking"                      :{}},
+"compNoStacking"              :{
+  "compNoStacking1"                     :{},
+  "comp2"                               :{}},
+"compNoStacking1"             :{
+  "comp2"                               :{}},
+"comp2"                       :{
+  "comp3"                               :{}},
+"compTypeOf"                  :{
+  "comp3"                               :{}},
+"comp3"                       :{
+  "compExpression"                      :{},
+  "compTypeOf"                          :{},
+  "compCoerce"                          :{},
+  "compColon"                           :{},
+  "compApply"                           :{},
+  "compAtom"                            :{},
+  "compWithMappingMode"                 :{}},
+"compCoerce"                  :{
+  "compCoerce1"                         :{}},
+"compCoerce1"                 :{
+  "comp"                                :{}},
+"compColon"                   :{
+  "compColonInside"                     :{}},
+"compColonInside"             :{
+  "comp"                                :{}},
+"compMakeDeclaration"         :{
+  "compColon"                           :{}},
+"compApply"                   :{
+  "comp"                                :{}},
+"compList"                    :{
+  "comp"                                :{}},
+"compVector"                  :{
+  "comp"                                :{}},
+"compWithMappingMode"         :{
+  "compWithMappingMode1"                :{}},
+"compLambda"                  :{
+  "compAtSign"                          :{}},
+"compAtSign"                  :{
+  "comp"                                :{}},
+"compOrCroak"                 :{
+  "compOrCroak1"                        :{}},
+"compAtom"                    :{
+  "compAtomWithModemap"                 :{},
+  "compList"                            :{},
+  "compVector"                          :{},
+  "compSymbol"                          :{}}
+
+ }
+}
\ No newline at end of file
diff --git a/src/axiom-website/axiomgraph/maps/compiler.json b/src/axiom-website/axiomgraph/maps/compiler.json
new file mode 100644
index 0000000..08721c0
--- /dev/null
+++ b/src/axiom-website/axiomgraph/maps/compiler.json
@@ -0,0 +1,48 @@
+{"nodes":
+ {
+  "compiler"                        :{"c":"defun","visible":"show"},
+  "compileSpad2Cmd"                 :{"c":"defun","visible":"show"},
+  "compileSpad2LispCmd"             :{"c":"defun","visible":"show"},
+  "compilerDoitWithScreenedLisplib" :{"c":"defun","visible":"show"},
+  "compilerDoit"                    :{"c":"defun","visible":"show"},
+  "/rq"                             :{"c":"defun","visible":"show"},
+  "/rf"                             :{"c":"defun","visible":"show"},
+  "/rf-1"                           :{"c":"defun","visible":"show"},
+  "/rq,lib"                         :{"c":"defun","visible":"show"},
+  "spad"                            :{"c":"defun","visible":"show"},
+  "s-process"                       :{"c":"defun","visible":"show"},
+  "compTopLevel"                    :{"c":"defun","visible":"show"},
+  "compOrCroak"                     :{"c":"calls","visible":"show"}
+
+
+ },
+ "edges"                
+ :{
+"compiler"                    :{
+  "compileSpad2LispCmd"                 :{},
+  "compileSpad2Cmd"                     :{}},
+"compileSpad2Cmd"             :{
+  "compilerDoitWithScreenedLisplib"     :{},
+  "compilerDoit"                        :{}},
+"compilerDoitWithScreenedLisplib" :{
+  "compilerDoit"                        :{}},
+"compilerDoit"                :{
+  "/rq"                                 :{},
+  "/rf"                                 :{},
+  "/rq,lib"                             :{}},
+"/rq"                         :{
+  "/rf-1"                               :{}},
+"/rf"                         :{
+  "/rf-1"                               :{}},
+"/rq,lib"                     :{
+  "/rf-1"                               :{}},
+"/rf-1"                       :{
+  "spad"                                :{}},
+"spad"                        :{
+  "s-process"                           :{}},
+"s-process"                   :{
+  "compTopLevel"                        :{}},
+"compTopLevel"                :{
+  "compOrCroak"                         :{}}
+ }
+}
\ No newline at end of file
diff --git a/src/axiom-website/patches.html b/src/axiom-website/patches.html
index 456dee6..d0a17bc 100644
--- a/src/axiom-website/patches.html
+++ b/src/axiom-website/patches.html
@@ -3749,5 +3749,7 @@ src/axiom-website/litprog.html fix argument count<br/>
 src/axiom-website/litprog.html note HTML escape code flaw<br/>
 <a href="patches/20111230.01.tpd.patch">20111230.01.tpd.patch</a>
 books/bookvol9 treeshake and document compiler<br/>
+<a href="patches/20111231.01.tpd.patch">20111231.01.tpd.patch</a>
+src/axiom-website/axiomgraph/js/axiomcode.js default compiler<br/>
  </body>
 </html>
